Bug 8582 - NULL issuedates with offline circ
Summary: NULL issuedates with offline circ
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 18:20 UTC by Melia Meggs
Modified: 2016-06-21 21:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Melia Meggs 2012-08-06 18:20:11 UTC
We don't think offline circ works quite right with 3.8.  It may be a date vs. datetime problem, perhaps?

After processing offline circ files in 3.8, we have seen some NULL issues.issuedate.

We discovered these after seeing the following error occur when going to the check-out screen.

Software error:

Can't call method "strftime" on an undefined value at
/home/koha/kohaclone/Koha/DateUtils.pm line 117
Comment 1 Chris Cormack 2012-08-14 03:49:21 UTC
Melia, which of the 2 offline circs do you think has the problem? Or is it both of them?
Comment 2 Brendan Gallagher 2012-08-14 16:55:07 UTC
(In reply to comment #1)
> Melia, which of the 2 offline circs do you think has the problem? Or is it
> both of them?

Hi Chris - 

We are thinking that this is a problem with the windows client version.  Some tests have caused problems but others have not.

I think the way to test this - would be use the client, create a koc file and see if the issue_date has only a date or a datetime (before uploading the file using the uploader in circulation).  Step 2, upload the koc file into koha and see if this causes a problem in the database.  Would be great to test against master and put this to rest.

It think it would good to have someone outside of our servers - test this to either confirm or say that it works fine for them.

Cheers,
Brendan
Comment 3 Katrin Fischer 2015-01-06 19:28:12 UTC
The last comment on this is from 2012 - has this bug reappeared since or can this be closed?
Comment 4 Katrin Fischer 2015-06-06 23:58:19 UTC
Kyle, could you take a look at this please?
Comment 5 Kyle M Hall 2015-07-21 10:33:54 UTC
Yes, I do believe this can be closed. I cannot recreate this issue.